/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
/* $Header:ac.h 12.0$ */
/* $ACIS:ac.h 12.0$ */
/* $Source: /ibm/acis/usr/src/ibm/lpfilter/tools/RCS/ac.h,v $ */

#if !defined(lint) && !defined(LOCORE)  && defined(RCS_HDRS)
static char *rcsidac = "$Header:ac.h 12.0$";
#endif


typedef struct AC {
    			char	*ac_user;
			char	*ac_host;
			char	*ac_jobtype;
			u_int8	 ac_flags;
			u_int16	 ac_pages;
			long	 ac_start;
			long	 ac_pause;
			long	 ac_elapsed;
		  } ac_record;

/***===================================================================***/

#define AC_RUNNING	0x001
#define AC_PAUSED	0x002
#define AC_DONE		0x004
#define AC_ERROR	0x008

/***===================================================================***/

#ifdef DEBUG_UTILS
extern int ac_debug;
#endif

extern ac_record *ac_Begin();
extern int	  ac_Pause();
extern int 	  ac_Restart();
extern int	  ac_End();
extern ac_record *ac_Load();
extern int	  ac_Dump();

#define ac_Error(a)	{ if (a) (a)->ac_flags|=AC_ERROR; }
